org.fourthline.cling.support.messagebox.model

## Enum Message.Category

- java.lang.Object
- - java.lang.Enum<Message.Category>
  - - org.fourthline.cling.support.messagebox.model.Message.Category

- All Implemented Interfaces:
    Serializable, Comparable<Message.Category>
  Enclosing class:
    Message

      public static enum Message.Category
      extends Enum<Message.Category>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INCOMING_CALL`
    `SCHEDULE_REMINDER`
    `SMS`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `text`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Message.Category` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Message.Category[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SMS

          public static final Message.Category SMS

    - #### INCOMING_CALL

          public static final Message.Category INCOMING_CALL

    - #### SCHEDULE_REMINDER

          public static final Message.Category SCHEDULE_REMINDER

  - ### Field Detail

    - #### text

          public String text

  - ### Method Detail

    - #### values

          public static Message.Category[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.Category c : Message.Category.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.Category valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.